Commit 868f4f2c authored by Andrew Martin's avatar Andrew Martin Committed by Edward Z. Yang

Warn that dependencies using backpack are broken when installed from hackage (#6264)

* Warn the dependencies using backpack are broken when installed from hackage

* Reword

* Update nix-local-build.rst

Make the hyperlink to issue 6005 a little better.
parent f1c1526b
......@@ -653,6 +653,14 @@ byte) that must be satisfied for it to function correctly in the larger v2-build
``autogen-modules`` is able to replace uses of the hooks to add generated modules, along with
the custom publishing of Haddock documentation to Hackage.
.. warning::
Packages that use Backpack will stop working if uploaded to
Hackage, due to `issue #6005 <https://github.com/haskell/cabal/issues/6005>`_.
While this is happening, we recommend not uploading these packages
to Hackage (and instead referencing the package directly
as a ``source-repository-package``).
Configuring builds with cabal.project
=====================================
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment